<?xml version="1.0" encoding="UTF-8"?>
<project default="new_ui" name="ifml.ui.generator">
    <property name="ECLIPSE_HOME" value="../../../../../../Users/ILMA AINUR ROHMA/Downloads/eclipse-modeling-2020-12-R-win32-x86_64/eclipse"/>
    <property name="ECLIPSE_WORKSPACE" value="../.."/>

    <!-- The classpath with only the dependencies used by the project -->
    <path id="ifml.ui.generator.libraryclasspath">
        <pathelement location="${ECLIPSE_WORKSPACE}/ifml.ui.generator/bin"/>
        <pathelement location="${ECLIPSE_HOME}/plugins/org.eclipse.core.runtime_3.20.0.v20201027-1526.jar"/>
        <pathelement location="${ECLIPSE_HOME}/plugins/org.eclipse.osgi_3.16.100.v20201030-1916.jar"/>
        <pathelement location="${ECLIPSE_HOME}/plugins/org.eclipse.osgi.compatibility.state_1.2.200.v20200915-2015.jar"/>
        <pathelement location="${ECLIPSE_HOME}/plugins/org.eclipse.equinox.common_3.14.0.v20201102-2053.jar"/>
        <pathelement location="${ECLIPSE_HOME}/plugins/org.eclipse.core.jobs_3.10.1000.v20200909-1312.jar"/>
        <pathelement location="${ECLIPSE_HOME}/plugins/org.eclipse.equinox.registry_3.10.0.v20201107-1818.jar"/>
        <pathelement location="${ECLIPSE_HOME}/plugins/org.eclipse.equinox.preferences_3.8.100.v20201102-2042.jar"/>
        <pathelement location="${ECLIPSE_HOME}/plugins/org.eclipse.core.contenttype_3.7.800.v20200724-0804.jar"/>
        <pathelement location="${ECLIPSE_HOME}/plugins/org.eclipse.equinox.app_1.5.0.v20200717-0620.jar"/>
        <pathelement location="${ECLIPSE_HOME}/plugins/org.eclipse.uml2.uml_5.5.0.v20200302-1312.jar"/>
        <pathelement location="${ECLIPSE_HOME}/plugins/org.eclipse.emf.ecore_2.23.0.v20200630-0516.jar"/>
        <pathelement location="${ECLIPSE_HOME}/plugins/org.eclipse.emf.common_2.21.0.v20200917-1439.jar"/>
        <pathelement location="${ECLIPSE_HOME}/plugins/org.eclipse.emf.ecore.xmi_2.16.0.v20190528-0725.jar"/>
        <pathelement location="${ECLIPSE_HOME}/plugins/org.eclipse.uml2.common_2.5.0.v20200302-1312.jar"/>
        <pathelement location="${ECLIPSE_HOME}/plugins/org.eclipse.uml2.types_2.5.0.v20200302-1312.jar"/>
        <pathelement location="${ECLIPSE_HOME}/plugins/org.eclipse.emf.mapping.ecore2xml_2.11.0.v20180706-1146.jar"/>
        <pathelement location="${ECLIPSE_HOME}/plugins/IFMLEditor_1.0.0.201412021412.jar"/>
        <pathelement location="${ECLIPSE_HOME}/plugins/org.eclipse.ocl_3.15.100.v20201208-2229.jar"/>
        <pathelement location="${ECLIPSE_HOME}/plugins/lpg.runtime.java_2.0.17.v201004271640.jar"/>
        <pathelement location="${ECLIPSE_HOME}/plugins/org.eclipse.ocl.common_1.8.500.v20201208-2229.jar"/>
        <pathelement location="${ECLIPSE_HOME}/plugins/org.eclipse.ocl.ecore_3.15.100.v20201208-2229.jar"/>
        <pathelement location="${ECLIPSE_HOME}/plugins/org.eclipse.acceleo.common_3.7.11.202102190929.jar"/>
        <pathelement location="${ECLIPSE_HOME}/plugins/org.eclipse.acceleo.model_3.7.11.202102190929.jar"/>
        <pathelement location="${ECLIPSE_HOME}/plugins/org.eclipse.acceleo.profiler_3.7.11.202102190929.jar"/>
        <pathelement location="${ECLIPSE_HOME}/plugins/org.eclipse.acceleo.engine_3.7.11.202102190929.jar"/>
        <pathelement location="${ECLIPSE_HOME}/plugins/org.eclipse.emf.codegen.ecore_2.24.0.v20200917-1423.jar"/>
        <pathelement location="${ECLIPSE_HOME}/plugins/org.eclipse.emf.codegen_2.21.0.v20200708-0547.jar"/>
        <pathelement location="${ECLIPSE_HOME}/plugins/com.google.guava_27.1.0.v20190517-1946.jar"/>
        <pathelement location="${ECLIPSE_HOME}/plugins/org.eclipse.emf.ecp.view.categorization.model_1.25.0.20200831-0551.jar"/>
        <pathelement location="${ECLIPSE_HOME}/plugins/org.eclipse.emf.ecp.view.model_1.25.0.20200831-0551.jar"/>
    </path>

    <path id="ifml.ui.generator.classpath">
        <path refid="ifml.ui.generator.libraryclasspath"/>
    </path>

    <!-- The classpath with only the jars available in the plugin folder of Eclipse -->
    <path id="ifml.ui.generator.libraryclasspath.alljars">
        <pathelement location="../ifml.ui.generator/bin"/>
        <fileset dir="${ECLIPSE_HOME}/plugins/" includes="*.jar"/>
    </path>

    <path id="ifml.ui.generator.classpath.alljars">
        <path refid="ifml.ui.generator.libraryclasspath.alljars"/>
    </path>

    <!-- The default task with the jars used by this project -->
    <target name="new_ui">
        <java classname="ifml.ui.generator.main.New_ui" classpathref="ifml.ui.generator.classpath">
            <arg value="${model}"/>
            <arg value="${target}"/>
        </java>
    </target>

    <!--
        In case of problem you can also try with all the jar available in your Eclipse
        Keep in mind that having two versions of the same jar can create problems
    -->
    <target name="new_ui.alljars">
        <java classname="ifml.ui.generator.main.New_ui" classpathref="ifml.ui.generator.classpath">
            <arg value="${model}"/>
            <arg value="${target}"/>
        </java>
    </target>
</project>
